Debian Bug report logs - #386973
parted: header of 'print' output is corrupted

version graph

Package: parted; Maintainer for parted is Parted Maintainer Team <parted-maintainers@lists.alioth.debian.org>; Source for parted is src:parted.

Reported by: Colin Watson <cjwatson@ubuntu.com>

Date: Mon, 11 Sep 2006 12:18:18 UTC

Severity: normal

Tags: patch

Merged with 363381

Found in versions parted/1.6.25.1-2, parted/1.7.1-2.1

Done: Xavier Oswald <x.oswald@free.fr>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Parted Maintainer Team <parted-maintainers@lists.alioth.debian.org>:
Bug#386973; Package parted. Full text and rfc822 format available.

Acknowledgement sent to Colin Watson <cjwatson@ubuntu.com>:
New Bug report received and forwarded. Copy sent to Parted Maintainer Team <parted-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@ubuntu.com>
To: submit@bugs.debian.org
Subject: parted: header of 'print' output is corrupted
Date: Mon, 11 Sep 2006 12:57:03 +0100
[Message part 1 (text/plain, inline)]
Package: parted
Version: 1.7.1-2.1
Severity: normal
Tags: patch

The header produced by the 'print' command is corrupted, as follows
(note the first two characters of what should be "Number"):

  Disk /dev/hda: 60.0GB
  Sector size (logical/physical): 512B/512B
  Partition Table: mac

  ▒▒mber  Start   End     Size    File system  Name     Flags

This is due to the kfreebsd-gnu patch, which incorrectly assumes that it
can copy a pointer, realloc it, and then memcpy from the original
pointer. Since realloc is not guaranteed to move the pointer, or even
(as far as I can tell) not to overlap the new memory area with the
original, you need to duplicate the original string first and memcpy
from that. The attached patch does this.

Changelog entry:

  * kfreebsd-gnu.dpatch: Fix memory corruption in table_render_row.

Thanks,

-- 
Colin Watson                                       [cjwatson@ubuntu.com]
[realloc-memcpy.diff (text/plain, attachment)]

Forcibly Merged 363381 386973. Request was from Otavio Salvador <otavio@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Parted Maintainer Team <parted-maintainers@lists.alioth.debian.org>:
Bug#386973; Package parted. Full text and rfc822 format available.

Acknowledgement sent to Otavio Salvador <otavio@debian.org>:
Extra info received and forwarded to list. Copy sent to Parted Maintainer Team <parted-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #12 received at 386973@bugs.debian.org (full text, mbox):

From: Otavio Salvador <otavio@debian.org>
To: 386973@bugs.debian.org
Subject: kFreeBSD patch has been remove
Date: Wed, 22 Nov 2006 15:57:19 -0200
Hello,

The kfreebsd patch was remove on 1.7.0-3 solving this bug. I won't
close this one since we haven't applied the patch yet but we intend to
work with the Port team to merge it upstream instead of Debian.

I'll merge those bugs now.

-- 
        O T A V I O    S A L V A D O R
---------------------------------------------
 E-mail: otavio@debian.org      UIN: 5906116
 GNU/Linux User: 239058     GPG ID: 49A5F855
 Home Page: http://otavio.ossystems.com.br
---------------------------------------------
"Microsoft gives you Windows ... Linux gives
 you the whole house."



Information forwarded to debian-bugs-dist@lists.debian.org, Parted Maintainer Team <parted-maintainers@lists.alioth.debian.org>:
Bug#386973; Package parted. Full text and rfc822 format available.

Acknowledgement sent to Sven Luther <sven.luther@wanadoo.fr>:
Extra info received and forwarded to list. Copy sent to Parted Maintainer Team <parted-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #17 received at 386973@bugs.debian.org (full text, mbox):

From: Sven Luther <sven.luther@wanadoo.fr>
To: Otavio Salvador <otavio@debian.org>, 386973@bugs.debian.org
Subject: Re: Bug#386973: kFreeBSD patch has been remove
Date: Wed, 22 Nov 2006 21:28:13 +0100
On Wed, Nov 22, 2006 at 03:57:19PM -0200, Otavio Salvador wrote:
> Hello,
> 
> The kfreebsd patch was remove on 1.7.0-3 solving this bug. I won't
> close this one since we haven't applied the patch yet but we intend to
> work with the Port team to merge it upstream instead of Debian.
> 
> I'll merge those bugs now.

Actually, Colin Watson proposed a fix, maybe you can find the time to apply it ? 

Friendly,

Sven Luther



Information forwarded to debian-bugs-dist@lists.debian.org, Parted Maintainer Team <parted-maintainers@lists.alioth.debian.org>:
Bug#386973; Package parted. Full text and rfc822 format available.

Acknowledgement sent to Otavio Salvador <otavio@debian.org>:
Extra info received and forwarded to list. Copy sent to Parted Maintainer Team <parted-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #22 received at 386973@bugs.debian.org (full text, mbox):

From: Otavio Salvador <otavio@debian.org>
To: Sven Luther <sven.luther@wanadoo.fr>
Cc: 386973@bugs.debian.org
Subject: Re: Bug#386973: kFreeBSD patch has been remove
Date: Wed, 22 Nov 2006 18:42:25 -0200
Sven Luther <sven.luther@wanadoo.fr> writes:

> On Wed, Nov 22, 2006 at 03:57:19PM -0200, Otavio Salvador wrote:
>> Hello,
>> 
>> The kfreebsd patch was remove on 1.7.0-3 solving this bug. I won't
>> close this one since we haven't applied the patch yet but we intend to
>> work with the Port team to merge it upstream instead of Debian.
>> 
>> I'll merge those bugs now.
>
> Actually, Colin Watson proposed a fix, maybe you can find the time to apply it ? 

Not now. I prefer to coordenate with both upstreams to check what's
the status of a possible merging of it on upstream side of
parted. Debian isn't the right place for this development.

-- 
        O T A V I O    S A L V A D O R
---------------------------------------------
 E-mail: otavio@debian.org      UIN: 5906116
 GNU/Linux User: 239058     GPG ID: 49A5F855
 Home Page: http://otavio.ossystems.com.br
---------------------------------------------
"Microsoft gives you Windows ... Linux gives
 you the whole house."



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 19 Jun 2007 03:50:01 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 21:42:38 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.